import { ScatterTriangulationSeries } from "./ScatterTriangulationSeries";
import { ColorScale } from "./ColorScale";
import { Type, Point } from "igniteui-react-core/ES5/type";
import { IFastItemColumn$1 } from "igniteui-react-core/ES5/IFastItemColumn$1";
import { Color } from "igniteui-react-core/ES5/Color";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { RenderSurface } from "./RenderSurface";
import { SeriesView } from "./SeriesView";
import { WriteableBitmap } from "igniteui-react-core/ES5/WriteableBitmap";
import { TriangleRasterizer } from "./TriangleRasterizer";
import { ScalerParams } from "./ScalerParams";
import { ObservableColorCollection } from "igniteui-react-core/ES5/ObservableColorCollection";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
export declare class ScatterAreaSeries extends ScatterTriangulationSeries {
    static $t: Type;
    constructor();
    private nb;
    nc: ColorScale;
    private np;
    nk: string;
    private ng;
    private nh;
    protected get_dn(): boolean;
    protected set_dn(a: boolean): void;
    protected ir(a: any, b: string, c: any, d: any): void;
    i5(a: boolean): void;
    i3(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    protected nq(a: SeriesView): void;
    private nn;
    fl(a: Point): any;
    protected m9: number[];
    protected na: number[];
    nf(a: SeriesView, b: ScalerParams, c: ScalerParams): TriangleRasterizer;
    m8: Color[];
    protected ni(): ObservableColorCollection;
    protected nd(): ColorScale;
    ho(a: boolean, b: SeriesView): void;
    protected bf(): SeriesView;
    il(a: SeriesView): void;
    ne: ScatterAreaSeriesView;
    no(a: any): void;
    static $$p: string[];
}
export declare class ScatterAreaSeriesView extends SeriesView {
    static $t: Type;
    private by;
    private bu;
    bx: number[];
    constructor(a: ScatterAreaSeries);
    b7(a: number, b: number): void;
    b3(a: any): void;
    private b2;
    private b1;
    private b0;
    bv(): number[];
    bw(a: boolean): number[];
    private b6;
    bz(a: Rect, b: ColorScale, c: IFastItemColumn$1<number>): TriangleRasterizer;
    b5(a: TriangleRasterizer): void;
    b4(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    b8(a: WriteableBitmap): void;
    ai(a: any): void;
    getDefaultTooltipTemplate(): string;
}
